Removing add-on files that were copied from suse. Egan will rewrite them and put them back in.

git-svn-id: https://svn.code.sf.net/p/xcat/code/xcat-core/trunk@9098 8638fb3e-16cb-4fca-ae20-7b5d299a9bcd
This commit is contained in:
bp-sawyers 2011-03-18 17:48:49 +00:00
parent 4b121c149f
commit 911e02cd1c
7 changed files with 0 additions and 873 deletions

View File

@ -1,191 +0,0 @@
#! /bin/sh
# Copyright (c) 1995-2000 SuSE GmbH Nuernberg, Germany.
# Copyright (c) 2001 IBM
#
# Author: Kurt Garloff <feedback@suse.de>
# Author: Egan Ford <egan@us.ibm.com
#
# init.d/autogpfsc
#
# and symbolic its link
#
# /usr/sbin/rcautogpfsc
#
# System startup script for the nessus backend nessusd
#
### BEGIN INIT INFO
# Provides: autogpfsc
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 3 5
# Default-Stop: 0 1 2 6
# Description: Start autogpfsc to allow XY and provide YZ.
### END INIT INFO
# Source SuSE config
if [ -r /etc/rc.config ]
then
. /etc/rc.config
fi
if [ -r /etc/sysconfig/autogpfsc ]
then
. /etc/sysconfig/autogpfsc
fi
# Determine the base and follow a runlevel link name.
base=${0##*/}
link=${base#*[SK][0-9][0-9]}
# Force execution if not called by a runlevel directory.
#test $link = $base && START_AUTOGPFSC=yes
#test "$START_AUTOGPFSC" = yes || exit 0
AUTOGPFSC=/usr/sbin/autogpfsc.pl
test -x $AUTOGPFSC || exit 5
# Shell functions sourced from /etc/rc.status:
# rc_check check and set local and overall rc status
# rc_status check and set local and overall rc status
# rc_status -v ditto but be verbose in local rc status
# rc_status -v -r ditto and clear the local rc status
# rc_failed set local and overall rc status to failed
# rc_failed <num> set local and overall rc status to <num><num>
# rc_reset clear local rc status (overall remains)
# rc_exit exit appropriate to overall rc status
. /etc/rc.status
# First reset status of this service
rc_reset
# Return values acc. to LSB for all commands but status:
# 0 - success
# 1 - generic or unspecified error
# 2 - invalid or excess argument(s)
# 3 - unimplemented feature (e.g. "reload")
# 4 - insufficient privilege
# 5 - program is not installed
# 6 - program is not configured
# 7 - program is not running
#
# Note that starting an already running service, stopping
# or restarting a not-running service as well as the restart
# with force-reload (in case signalling is not supported) are
# considered a success.
case "$1" in
start)
echo "Starting autoGPFS"
## Start daemon with startproc(8). If this fails
## the echo return value is set appropriate.
# NOTE: startproc return 0, even if service is
# already running to match LSB spec.
lastexit=2
while [ "$lastexit" = "2" ]
do
for i in $(echo $SERVERS | tr ',' ' ')
do
/usr/sbin/autogpfsc.pl $i $PORT 2>/dev/null
lastexit=$?
if [ "$lastexit" = "0" ]
then
break
fi
if [ "$lastexit" = "1" ]
then
break
fi
done
sleep 1
done
if [ "$lastexit" != "0" ]
then
BLOCK=no
fi
sleep 5
if [ "$BLOCK" = "yes" ]
then
echo -n "Waiting on GPFS mounts..."
DOBLOCK=yes
fi
while [ "$DOBLOCK" = "yes" ]
do
DOBLOCK=no
for i in $(
grep "\bgpfs\b" /etc/fstab | \
awk '{print $2}'
)
do
mount | grep "\b/gpfs1\b" >/dev/null 2>&1
if [ "$?" != "0" ]
then
DOBLOCK=yes
fi
done
sleep 1
done
if [ "$BLOCK" = "yes" ]
then
echo "done"
fi
echo -n "autoGPFS"
if [ "$lastexit" = "0" ]
then
true
else
false
fi
# Remember status and be verbose
rc_status -v
;;
stop)
echo -n "Shutting down GPFS"
## Stop daemon with killproc(8) and if this fails
## set echo the echo return value.
/usr/lpp/mmfs/bin/mmshutdown
# Remember status and be verbose
rc_status -v
;;
restart)
## Stop the service and regardless of whether it was
## running or not, start it again.
$0 stop
$0 start
# Remember status and be quiet
rc_status
;;
# status)
# echo -n "Checking for autogpfsc: "
# ## Check status with checkproc(8), if process is running
# ## checkproc will return with exit status 0.
#
# # Status has a slightly different for the status command:
# # 0 - service running
# # 1 - service dead, but /var/run/ pid file exists
# # 2 - service dead, but /var/lock/ lock file exists
# # 3 - service not running
#
# # NOTE: checkproc returns LSB compliant status values.
# checkproc $AUTOGPFSC
# rc_status -v
# ;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
;;
esac
rc_exit

View File

@ -1,127 +0,0 @@
#! /bin/sh
# Copyright (c) 1995-2000 SuSE GmbH Nuernberg, Germany.
# Copyright (c) 2001 IBM
#
# Author: Kurt Garloff <feedback@suse.de>
# Author: Egan Ford <egan@us.ibm.com
#
# init.d/autogpfsd
#
# and symbolic its link
#
# /usr/sbin/rcautogpfsd
#
# System startup script for the nessus backend nessusd
#
### BEGIN INIT INFO
# Provides: autogpfsd
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 3 5
# Default-Stop: 0 1 2 6
# Description: Start autogpfsd to allow XY and provide YZ.
### END INIT INFO
# Source SuSE config
if [ -r /etc/rc.config ]
then
. /etc/rc.config
fi
if [ -r /etc/sysconfig/xcat ]
then
. /etc/sysconfig/xcat
fi
# Determine the base and follow a runlevel link name.
base=${0##*/}
link=${base#*[SK][0-9][0-9]}
# Force execution if not called by a runlevel directory.
#test $link = $base && START_AUTOGPFSD=yes
#test "$START_AUTOGPFSD" = yes || exit 0
AUTOGPFSD=/usr/sbin/autogpfsd.pl
test -x $AUTOGPFSD || exit 5
# Shell functions sourced from /etc/rc.status:
# rc_check check and set local and overall rc status
# rc_status check and set local and overall rc status
# rc_status -v ditto but be verbose in local rc status
# rc_status -v -r ditto and clear the local rc status
# rc_failed set local and overall rc status to failed
# rc_failed <num> set local and overall rc status to <num><num>
# rc_reset clear local rc status (overall remains)
# rc_exit exit appropriate to overall rc status
. /etc/rc.status
# First reset status of this service
rc_reset
# Return values acc. to LSB for all commands but status:
# 0 - success
# 1 - generic or unspecified error
# 2 - invalid or excess argument(s)
# 3 - unimplemented feature (e.g. "reload")
# 4 - insufficient privilege
# 5 - program is not installed
# 6 - program is not configured
# 7 - program is not running
#
# Note that starting an already running service, stopping
# or restarting a not-running service as well as the restart
# with force-reload (in case signalling is not supported) are
# considered a success.
case "$1" in
start)
echo -n "Starting autogpfsd"
## Start daemon with startproc(8). If this fails
## the echo return value is set appropriate.
# NOTE: startproc return 0, even if service is
# already running to match LSB spec.
startproc $AUTOGPFSD
# Remember status and be verbose
rc_status -v
;;
stop)
echo -n "Shutting down autogpfsd"
## Stop daemon with killproc(8) and if this fails
## set echo the echo return value.
killproc -TERM $AUTOGPFSD
# Remember status and be verbose
rc_status -v
;;
restart)
## Stop the service and regardless of whether it was
## running or not, start it again.
$0 stop
$0 start
# Remember status and be quiet
rc_status
;;
status)
echo -n "Checking for autogpfsd: "
## Check status with checkproc(8), if process is running
## checkproc will return with exit status 0.
# Status has a slightly different for the status command:
# 0 - service running
# 1 - service dead, but /var/run/ pid file exists
# 2 - service dead, but /var/lock/ lock file exists
# 3 - service not running
# NOTE: checkproc returns LSB compliant status values.
checkproc $AUTOGPFSD
rc_status -v
;;
*)
echo "Usage: $0 {start|stop|status|restart}"
exit 1
;;
esac
rc_exit

View File

@ -1,112 +0,0 @@
#! /bin/sh
# Copyright (c) 1995-2000 SuSE GmbH Nuernberg, Germany.
# Copyright (c) 2001 IBM
#
# Author: Kurt Garloff <feedback@suse.de>
# Author: Egan Ford <egan@us.ibm.com
#
# init.d/moab
#
# and symbolic its link
#
# /usr/sbin/rcmoab
#
# System startup script for the nessus backend nessusd
#
### BEGIN INIT INFO
# Provides: moab
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 3 5
# Default-Stop: 0 1 2 6
# Description: Start moab to allow XY and provide YZ.
### END INIT INFO
if [ -r /etc/rc.config ]
then
. /etc/rc.config
fi
if [ -r /etc/sysconfig/xcat ]
then
. /etc/sysconfig/xcat
fi
# Determine the base and follow a runlevel link name.
base=${0##*/}
link=${base#*[SK][0-9][0-9]}
MOAB_PREFIX=/opt/moab
ARCH=$(uname -m)
# Shell functions sourced from /etc/rc.status:
# rc_check check and set local and overall rc status
# rc_status check and set local and overall rc status
# rc_status -v ditto but be verbose in local rc status
# rc_status -v -r ditto and clear the local rc status
# rc_failed set local and overall rc status to failed
# rc_failed <num> set local and overall rc status to <num><num>
# rc_reset clear local rc status (overall remains)
# rc_exit exit appropriate to overall rc status
. /etc/rc.status
# First reset status of this service
rc_reset
# Return values acc. to LSB for all commands but status:
# 0 - success
# 1 - generic or unspecified error
# 2 - invalid or excess argument(s)
# 3 - unimplemented feature (e.g. "reload")
# 4 - insufficient privilege
# 5 - program is not installed
# 6 - program is not configured
# 7 - program is not running
#
# Note that starting an already running service, stopping
# or restarting a not-running service as well as the restart
# with force-reload (in case signalling is not supported) are
# considered a success.
case "$1" in
start)
echo -n "Starting MOAB Scheduler: "
if [ -r $MOAB_PREFIX/bin/moab ]
then
startproc $MOAB_PREFIX/bin/moab -C $MOAB_PREFIX/moab.cfg
elif [ -r $MOAB_PREFIX/sbin/moab ]
then
startproc $MOAB_PREFIX/sbin/moab -C $MOAB_PREFIX/moab.cfg
elif [ -r $MOAB_PREFIX/$ARCH/bin/moab ]
then
startproc $MOAB_PREFIX/$ARCH/bin/moab -C $MOAB_PREFIX/moab.cfg
elif [ -r $MOAB_PREFIX/$ARCH/sbin/moab ]
then
startproc $MOAB_PREFIX/$ARCH/sbin/moab -C $MOAB_PREFIX/moab.cfg
fi
rc_status -v
;;
stop)
echo -n "Shutting down Moab: "
killproc moab
rc_status -v
;;
restart)
## Stop the service and regardless of whether it was
## running or not, start it again.
$0 stop
$0 start
# Remember status and be quiet
rc_status
;;
status)
echo -n "Checking for moab: "
checkproc moab
rc_status -v
;;
*)
echo "Usage: $0 {start|stop|status|restart}"
exit 1
;;
esac
rc_exit

View File

@ -1,105 +0,0 @@
#! /bin/sh
# Copyright (c) 1995-2000 SuSE GmbH Nuernberg, Germany.
# Copyright (c) 2001 IBM
#
# Author: Kurt Garloff <feedback@suse.de>
# Author: Egan Ford <egan@us.ibm.com
#
# init.d/pbs
#
# and symbolic its link
#
# /usr/sbin/rcpbs
#
#
# System startup script for the nessus backend nessusd
#
### BEGIN INIT INFO
# Provides: pbs
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 3 5
# Default-Stop: 0 1 2 6
# Description: Start pbs to allow XY and provide YZ.
### END INIT INFO
# Source SuSE config
if [ -r /etc/rc.config ]
then
. /etc/rc.config
fi
if [ -r /etc/sysconfig/xcat ]
then
. /etc/sysconfig/xcat
fi
# Determine the base and follow a runlevel link name.
base=${0##*/}
link=${base#*[SK][0-9][0-9]}
# Shell functions sourced from /etc/rc.status:
# rc_check check and set local and overall rc status
# rc_status check and set local and overall rc status
# rc_status -v ditto but be verbose in local rc status
# rc_status -v -r ditto and clear the local rc status
# rc_failed set local and overall rc status to failed
# rc_failed <num> set local and overall rc status to <num><num>
# rc_reset clear local rc status (overall remains)
# rc_exit exit appropriate to overall rc status
. /etc/rc.status
# First reset status of this service
rc_reset
# Return values acc. to LSB for all commands but status:
# 0 - success
# 1 - generic or unspecified error
# 2 - invalid or excess argument(s)
# 3 - unimplemented feature (e.g. "reload")
# 4 - insufficient privilege
# 5 - program is not installed
# 6 - program is not configured
# 7 - program is not running
#
# Note that starting an already running service, stopping
# or restarting a not-running service as well as the restart
# with force-reload (in case signalling is not supported) are
# considered a success.
case "$1" in
start)
chkconfig -list pbs_mom 2>&1 | grep :on >/dev/null 2>&1
test "$?" = "0" && /etc/init.d/pbs_mom start
chkconfig -list pbs_sched 2>&1 | grep :on >/dev/null 2>&1
test "$?" = "0" && /etc/init.d/pbs_sched start
chkconfig -list pbs_server 2>&1 | grep :on >/dev/null 2>&1
test "$?" = "0" && /etc/init.d/pbs_server start
;;
stop)
/etc/init.d/pbs_mom stop
/etc/init.d/pbs_sched stop
/etc/init.d/pbs_server stop
;;
restart)
/etc/init.d/pbs_mom stop
/etc/init.d/pbs_sched stop
/etc/init.d/pbs_server stop
chkconfig -list pbs_mom 2>&1 | grep :on >/dev/null 2>&1
test "$?" = "0" && /etc/init.d/pbs_mom start
chkconfig -list pbs_sched 2>&1 | grep :on >/dev/null 2>&1
test "$?" = "0" && /etc/init.d/pbs_sched start
chkconfig -list pbs_server 2>&1 | grep :on >/dev/null 2>&1
test "$?" = "0" && /etc/init.d/pbs_server start
;;
status)
checkproc pbs_server
checkproc pbs_mom
checkproc pbs_sched
rc_status -v
;;
*)
echo "Usage: $0 {start|stop|status|restart}"
exit 1
;;
esac
rc_exit

View File

@ -1,113 +0,0 @@
#! /bin/sh
# Copyright (c) 1995-2000 SuSE GmbH Nuernberg, Germany.
# Copyright (c) 2001 IBM
#
# Author: Kurt Garloff <feedback@suse.de>
# Author: Egan Ford <egan@us.ibm.com
#
# init.d/pbs_mom
#
# and symbolic its link
#
# /usr/sbin/rcpbs_mom
#
# System startup script for the nessus backend nessusd
#
### BEGIN INIT INFO
# Provides: pbs_mom
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 3 5
# Default-Stop: 0 1 2 6
# Description: Start pbs_mom to allow XY and provide YZ.
### END INIT INFO
if [ -r /etc/rc.config ]
then
. /etc/rc.config
fi
if [ -r /etc/sysconfig/xcat ]
then
. /etc/sysconfig/xcat
fi
# Determine the base and follow a runlevel link name.
base=${0##*/}
link=${base#*[SK][0-9][0-9]}
BASE_PBS_PREFIX=/opt/torque
ARCH=$(uname -m)
AARCH="/$ARCH"
if [ -d "$BASE_PBS_PREFIX$AARCH" ]
then
PBS_PREFIX=$BASE_PBS_PREFIX$AARCH
else
PBS_PREFIX=$BASE_PBS_PREFIX
fi
# Shell functions sourced from /etc/rc.status:
# rc_check check and set local and overall rc status
# rc_status check and set local and overall rc status
# rc_status -v ditto but be verbose in local rc status
# rc_status -v -r ditto and clear the local rc status
# rc_failed set local and overall rc status to failed
# rc_failed <num> set local and overall rc status to <num><num>
# rc_reset clear local rc status (overall remains)
# rc_exit exit appropriate to overall rc status
. /etc/rc.status
# First reset status of this service
rc_reset
# Return values acc. to LSB for all commands but status:
# 0 - success
# 1 - generic or unspecified error
# 2 - invalid or excess argument(s)
# 3 - unimplemented feature (e.g. "reload")
# 4 - insufficient privilege
# 5 - program is not installed
# 6 - program is not configured
# 7 - program is not running
#
# Note that starting an already running service, stopping
# or restarting a not-running service as well as the restart
# with force-reload (in case signalling is not supported) are
# considered a success.
case "$1" in
start)
if [ -r /etc/security/access.conf.BOOT ]
then
cp -f /etc/security/access.conf.BOOT /etc/security/access.conf
fi
echo -n "Starting PBS Mom: "
startproc $PBS_PREFIX/sbin/pbs_mom -r
rc_status -v
;;
stop)
echo -n "Shutting down pbs_mom"
killproc pbs_mom
rc_status -v
;;
restart)
## Stop the service and regardless of whether it was
## running or not, start it again.
$0 stop
$0 start
# Remember status and be quiet
rc_status
;;
status)
echo -n "Checking for pbs_mom: "
checkproc pbs_mom
rc_status -v
;;
*)
echo "Usage: $0 {start|stop|status|restart}"
exit 1
;;
esac
rc_exit

View File

@ -1,109 +0,0 @@
#! /bin/sh
# Copyright (c) 1995-2000 SuSE GmbH Nuernberg, Germany.
# Copyright (c) 2001 IBM
#
# Author: Kurt Garloff <feedback@suse.de>
# Author: Egan Ford <egan@us.ibm.com
#
# init.d/pbs_sched
#
# and symbolic its link
#
# /usr/sbin/rcpbs_sched
#
# System startup script for the nessus backend nessusd
#
### BEGIN INIT INFO
# Provides: pbs_sched
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 3 5
# Default-Stop: 0 1 2 6
# Description: Start pbs_sched to allow XY and provide YZ.
### END INIT INFO
if [ -r /etc/rc.config ]
then
. /etc/rc.config
fi
if [ -r /etc/sysconfig/xcat ]
then
. /etc/sysconfig/xcat
fi
# Determine the base and follow a runlevel link name.
base=${0##*/}
link=${base#*[SK][0-9][0-9]}
BASE_PBS_PREFIX=/opt/torque
ARCH=$(uname -m)
AARCH="/$ARCH"
if [ -d "$BASE_PBS_PREFIX$AARCH" ]
then
PBS_PREFIX=$BASE_PBS_PREFIX$AARCH
else
PBS_PREFIX=$BASE_PBS_PREFIX
fi
# Shell functions sourced from /etc/rc.status:
# rc_check check and set local and overall rc status
# rc_status check and set local and overall rc status
# rc_status -v ditto but be verbose in local rc status
# rc_status -v -r ditto and clear the local rc status
# rc_failed set local and overall rc status to failed
# rc_failed <num> set local and overall rc status to <num><num>
# rc_reset clear local rc status (overall remains)
# rc_exit exit appropriate to overall rc status
. /etc/rc.status
# First reset status of this service
rc_reset
# Return values acc. to LSB for all commands but status:
# 0 - success
# 1 - generic or unspecified error
# 2 - invalid or excess argument(s)
# 3 - unimplemented feature (e.g. "reload")
# 4 - insufficient privilege
# 5 - program is not installed
# 6 - program is not configured
# 7 - program is not running
#
# Note that starting an already running service, stopping
# or restarting a not-running service as well as the restart
# with force-reload (in case signalling is not supported) are
# considered a success.
case "$1" in
start)
echo -n "Starting PBS Scheduler: "
startproc $PBS_PREFIX/sbin/pbs_sched
rc_status -v
;;
stop)
echo -n "Shutting down PBS Scheduler: "
killproc pbs_sched
rc_status -v
;;
restart)
## Stop the service and regardless of whether it was
## running or not, start it again.
$0 stop
$0 start
# Remember status and be quiet
rc_status
;;
status)
echo -n "Checking for pbs_sched: "
checkproc pbs_sched
rc_status -v
;;
*)
echo "Usage: $0 {start|stop|status|restart}"
exit 1
;;
esac
rc_exit

View File

@ -1,116 +0,0 @@
#! /bin/sh
# Copyright (c) 1995-2000 SuSE GmbH Nuernberg, Germany.
# Copyright (c) 2001 IBM
#
# Author: Kurt Garloff <feedback@suse.de>
# Author: Egan Ford <egan@us.ibm.com
#
# init.d/pbs_server
#
# and symbolic its link
#
# /usr/sbin/rcpbs_server
#
# System startup script for the nessus backend nessusd
#
### BEGIN INIT INFO
# Provides: pbs_server
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 3 5
# Default-Stop: 0 1 2 6
# Description: Start pbs_server to allow XY and provide YZ.
### END INIT INFO
if [ -r /etc/rc.config ]
then
. /etc/rc.config
fi
if [ -r /etc/sysconfig/xcat ]
then
. /etc/sysconfig/xcat
fi
PBS_HOME=/var/spool/pbs
# Determine the base and follow a runlevel link name.
base=${0##*/}
link=${base#*[SK][0-9][0-9]}
BASE_PBS_PREFIX=/opt/torque
ARCH=$(uname -m)
AARCH="/$ARCH"
if [ -d "$BASE_PBS_PREFIX$AARCH" ]
then
PBS_PREFIX=$BASE_PBS_PREFIX$AARCH
else
PBS_PREFIX=$BASE_PBS_PREFIX
fi
# Shell functions sourced from /etc/rc.status:
# rc_check check and set local and overall rc status
# rc_status check and set local and overall rc status
# rc_status -v ditto but be verbose in local rc status
# rc_status -v -r ditto and clear the local rc status
# rc_failed set local and overall rc status to failed
# rc_failed <num> set local and overall rc status to <num><num>
# rc_reset clear local rc status (overall remains)
# rc_exit exit appropriate to overall rc status
. /etc/rc.status
# First reset status of this service
rc_reset
# Return values acc. to LSB for all commands but status:
# 0 - success
# 1 - generic or unspecified error
# 2 - invalid or excess argument(s)
# 3 - unimplemented feature (e.g. "reload")
# 4 - insufficient privilege
# 5 - program is not installed
# 6 - program is not configured
# 7 - program is not running
#
# Note that starting an already running service, stopping
# or restarting a not-running service as well as the restart
# with force-reload (in case signalling is not supported) are
# considered a success.
case "$1" in
start)
echo -n "Starting PBS Server: "
if [ -r $PBS_HOME/server_priv/serverdb ]
then
startproc $PBS_PREFIX/sbin/pbs_server
else
startproc $PBS_PREFIX/sbin/pbs_server -t create
fi
rc_status -v
;;
stop)
echo -n "Shutting down PBS Server: "
$PBS_PREFIX/bin/qterm -t quick
rc_status -v
;;
restart)
## Stop the service and regardless of whether it was
## running or not, start it again.
$0 stop
$0 start
# Remember status and be quiet
rc_status
;;
status)
echo -n "Checking for pbs_server: "
checkproc pbs_server
rc_status -v
;;
*)
echo "Usage: $0 {start|stop|status|restart}"
exit 1
;;
esac
rc_exit